Summary: pLaTeX2e new Japanese Standard (?) document class
Name: jsclasses

%global momorel 1
%global srcver	040429
Version: 20%{srcver}
Release: %{momorel}m
License: Modified BSD
Group: Applications/Publishing
URL: http://oku.edu.mie-u.ac.jp/~okumura/jsclasses/

%NoSource 0 http://oku.edu.mie-u.ac.jp/~okumura/jsclasses/jsclasses-%{srcver}.zip d243e3e077b081e12bdcf0186d2b1753

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPreReq: tetex-platex, tetex-dvipsk, nkf

Requires: tetex-platex

%description
pLaTeX2e new Japanese Standard (?) document class

%define texmfdir	%{_datadir}/texmf

%prep
%setup -qc

%build
for i in jsclasses.dtx okumacro.dtx okuverb.dtx #morisawa.dtx
do
  platex $i
  platex $i
  dvips -Ppdf ${i%%.dtx}.dvi
done

%install
[ %{buidroot} != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{texmfdir}/ptex/platex/js
%__install -m 0644 *.dtx *.ins *.cls *.sty %{buildroot}%{texmfdir}/ptex/platex/js

%clean
[ %{buidroot} != "/" ] && %__rm -rf %{buildroot}

%post
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%postun
[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr 2> /dev/null

%files
%defattr(-,root,root)
%doc *.dvi *.ps
%{texmfdir}/ptex/platex/js

%changelog
* Sun May 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (20040429-1m)
- change URI
- verup

* Sat Jan 17 2004 Kenta MURATA <muraken2@nifty.com>
- (20031124-1m)
- version 20031124.

* Sun Nov 16 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (20031012-1m)
- add the version number to source name
- use zip compressed version instead of lha compressed one
- use %%NoSource

* Sat Oct 11 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (20020629-5m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sat Jul  5 2003 Kenta MURATA <muraken@nifty.com>
- (20020629-3m)
- modify %%files.

* Sat Jul  5 2003 Kenta MURATA <muraken@nifty.com>
- (20020629-2m)
- rebuild against tetex.

* Sat Oct 19 2002 Kenta MURATA <muraken@nifty.com>
- (20020629-1m)
- update archive.
- change install directory.

* Tue May 29 2001 Toru Hoshina <toru@df-usa.com>
- (20001226-6k)
- Nonfreeeeeeeeeee....

* Wed Apr 25 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (20001226-4k)
- add tetex to PreReq tag

* Mon Feb  5 2001 Kenta MURATA <muraken2@nifty.com>
- (20001226-3k)
- built against to Kondara.

* Tue Jan  2 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- add Japanese summary and description

* Sun Nov  5 2000 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- use %{texmf}

* Fri Nov  3 2000 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 1st release
